Bug 62850 - UI: Make Impress Remember View for Tasks Pane
Summary: UI: Make Impress Remember View for Tasks Pane
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2013-03-28 07:57 UTC by Kumāra
Modified: 2019-01-09 08:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kumāra 2013-03-28 07:57:19 UTC
Impress's tasks pane has 5 tasks: Master Pages to Slide Transition. As I consistently use only Custom Animation and Slide Transition, I prefer to hide the other 3, so that there's more space for the active task. (This is especially necessary when one is using a small screen, or have visual disability that requires a larger font display.)

However, when I reopen Impress, all 5 of them come back. I wish the state of view preference for the task pane can be
EITHER automatically saved as the last state for Impress
OR saved together with the file (much like what's done for cursor position)

The former is probably a better idea though both is fine with me.

(Note: This is not the same as Bug 35973.)
Comment 1 Rob Snelders 2013-10-05 10:29:59 UTC
That would be a great idea. Thank you for posting it.
Comment 2 Kumāra 2014-04-09 02:33:38 UTC
No takers for this one? Should be an easy hack, no?
Comment 3 Rob Snelders 2014-04-09 21:31:41 UTC
This pane has been disabled by default in the new versions and is superseded by the new sidebar. There you also can't permanently turn of a section, however they aren't as annoying as the old one, so I don't think it is needed anymore.
Comment 4 Kumāra 2016-07-21 10:08:43 UTC
(In reply to Rob Snelders from comment #3)
> This pane has been disabled by default in the new versions and is superseded
> by the new sidebar. There you also can't permanently turn of a section,
> however they aren't as annoying as the old one, so I don't think it is
> needed anymore.

The new one is better designed, but the issue remains. Eg. when I leave the "Custom Animation" panel on when I exit LO, reopening it brings up "Properties>Layout".

Even if I use Customization to remove "Properties">"Layout" or others, they reappear on opening Impress!

So, presently it's still as annoying to me.
Comment 5 Roman Kuznetsov 2019-01-08 19:39:27 UTC
UX-team what do you think?
Comment 6 Heiko Tietze 2019-01-09 08:50:10 UTC
(In reply to Kumāra from comment #4)
> Even if I use Customization to remove "Properties">"Layout" or others, they
> reappear on opening Impress!

Tested with 6.1 and it works. Click on the topmost icon "Sidebar Settings", which opens a menu. Go to Customization and uncheck the tabs you don't want to see. The currently active tab cannot be disabled.